Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadFutureClassBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadFutureClassBean

@Bulkhead @Asynchronous @ApplicationScoped public class BulkheadFutureClassBean extends Object

## Constructor Summary

Constructors
Constructor
Description
`BulkheadFutureClassBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<String>`
`test(Future<String> result, Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadFutureClassBean

public BulkheadFutureClassBean()

## Method Details

### test

public Future<String> test(Future<String> result, Barrier barrier)